/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.bernhardjung.dsaprogramm.bausteine.moeglicheprof;

import java.util.Collection;

import net.n3.nanoxml.IXMLElement;
import de.bernhardjung.dsaprogramm.bausteine.Profession;

public interface MoeglicheProfessionen {

    /**
     * @param profession
     *            fuer die geprueft werden soll ob sie moeglich ist.
     * @return {@code true}, wenn es sich bei der Profession um eine fuer die
     *         Kultur moegliche Profession handelt.
     */
    public boolean istMoeglich(final Profession profession);

    /**
     * @return die Liste der Professionen, die im Objekt gespeichert ist. Ob
     *         es sich dabei um die moeglichen Professionen oder genau um die
     *         nicht moeglichen Professionen handelt haengt vom Objekt ab.
     */
    public Collection< Profession > getProfessionen();

    /**
     * @return eine XML-Repraesentation des Objekts.
     */
    public IXMLElement toXml();
}
