/*
 * This file is part of the TDE Character Generator (TCG).
 *
 * TCG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TCG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TCG.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.bernhardjung.dsaprogramm.daten.xml;

import de.bernhardjung.dsaprogramm.bausteine.bonus.TalentbonusFestAlteSprache;
import de.bernhardjung.dsaprogramm.bausteine.bonus.talentlisten.TalentListe;

public class HeldenbausteinXmlTags {

    /**
     * Das Attribut enthaelt die ID eines andern Vor-/Nachteils.
     */
    public static final String ATTR_AUSSER = "Ausser";

    /**
     * Das Attribut in dem die Basis-Zentimeter fuer die Koerpergroesse Formel
     * gespeichert sind.
     * Auch das Attribut in dem die Jahre gespeichert sind die bei der
     * Bestimmung des Alters addiert werden.
     */
    public static final String ATTR_BASIS = "Basis";

    /** Das Attribut das den Basiswert enthaelt der einen Bonus bekommt. */
    public static final String ATTR_BASISWERT = "Basiswert";

    /**
     * Das XML-Attribut das eine kurze Beschreibung des Bons enthalten kann.
     */
    public static final String ATTR_BESCHREIBUNG = "Beschreibung";

    /**
     * Der groesset Wert bis zu dem ein Wert in der Wuerfeltabelle erwuerfelt
     * wird.
     */
    public static final String ATTR_BIS = "bis";

    /** Das XML-Attribut das einen frei verteilbaren Stufen-Bonus enthaelt. */
    public static final String ATTR_BONUS = "Bonus";

    /** Das Attribut das die Eigenschaft enthaelt die einen Bonus bekommt. */
    public static final String ATTR_EIGENSCHAFT = "Eigenschaft";

    /** Ein Ergebnis, welches in der Wuerfeltabelle erwuerfelt werden kann. */
    public static final String ATTR_ERGEBNIS = "Ergebnis";

    /**
     * Das XML-Element das die Informationen zu Berechnung des Gewichts
     * enthaelt.
     */
    public static final String TAG_GEWICHT = "Gewicht";

    /** Das Attribute, das angibt, ob es sich um einen Hauszauber handelt. */
    public static final String ATTR_HAUSZAUBER = "Hauszauber";

    /** Das Attribut das die Hoechststufe des SO angibt. */
    public static final String ATTR_HOECHSTSTUFE = "Hoechststufe";

    /**
     * Das Attribut, das angibt ob es sich um eine Kaempferprofession handelt.
     */
    public static final String ATTR_KAEMPFERPROFESSION = "Kaempferprofession";

    /**
     * Das Attribut Kosten, das die Kosten angibt, die eine bestimmte Rasse
     * fuer einen Heldenbaustein zahlen muss.
     */
    public static final String ATTR_KOSTEN = "Kosten";

    /**
     * Das Attribut das angibt, dass es sich um einen Bonus auf ein
     * Leittalent handelt.
     */
    public static final String ATTR_LEITTALENT = "Leittalent";

    /** Das Attribute das die Mindeststufe einer Eigenschaft angibt. */
    public static final String ATTR_MINDESTSTUFE = "Mindeststufe";

    /** Das Attribut das den Bonus enthaelt der vergeben wird. */
    public static final String ATTR_MODIFIKATION = "Modifikation";

    /**
     * Das Attribute einer Kultur, dass die ID einer NameFactory speichert.
     * Die Factory kann Namen fuer Helden aus der Kultur erzeugen.
     */
    public static final String ATTR_NAME_FACTORY = "NameFactory";
    
    /**
     * Das Attribut Rasse, das die Rasse angibt, die einen anderen Preis, als
     * alle anderen fuer einen Heldenbaustein zahlen muss.
     */
    public static final String ATTR_RASSE = "Rasse";

    /** Das XML-Attribut das die Id einer Sonderfertigkeit speichert. */
    public static final String ATTR_SONDERFERTIGKEIT = "Sonderfertigkeit";

    /**
     * Das XML-Attribut, das die Stufe fuer den Wert eines Vor-/Nachteils
     * enthaelt.
     */
    public static final String ATTR_STUFE = "Stufe";

    /** Das XML-Attribut das die Id eines Talents speichert. */
    public static final String ATTR_TALENT = "Talent";

    /**
     * Das Attribut, das angibt, dass es sich um einen Bonus vom Typ Entdecker
     * handelt.
     */
    public static final String ATTR_TYP = "Typ";

    /** Das XML-Attribut das eine Variante einer Sf speichert. */
    public static final String ATTR_VARIANTE = "Variante";

    /**
     * Das XML-Attribut das angibt ob die Variante einer Sf vom Benutzer
     * festgelegt werden kann.
     */
    public static final String ATTR_VARIANTE_AENDERBAR = "VarianteAenderbar";

    /**
     * Der kleinste Wert ab dem ein Wert in der Wuerfeltabelle erwuerfelt
     * wird.
     */
    public static final String ATTR_VON = "von";

    /** Das XML-Attribut, das die Id eines Vor-/Nachteils enthaelt. */
    public static final String ATTR_VORNACHTEIL = "VorNachteil";

    /**
     * Das Attribut in dem gespeichert ist mit wie vielen W20 bei der
     * Bestimmung der Groesse eines Helden gewuerfelt wird.
     */
    public static final String ATTR_W20 = "W20";

    /**
     * Das Attribut in dem gespeichert ist mit wie vielen W6 bei der Bestimmung
     * der Groesse eines Helden gewuerfelt wird.
     */
    public static final String ATTR_W6 = "W6";

    /**
     * Das Attribut in dem gespeichert ist mit welchem Wuerfel bei der
     * Bestimmung des Alters eines Helden gewuerfelt wird.
     */
    public static final String ATTR_WUERFEL = "Wuerfel";

    /** Das Attribute, das die Id eines Zaubers enthaelt. */
    public static final String ATTR_ZAUBER = "Zauber";

    /** Das Attribut, das angibt ob die Profession zeitaufwaendig ist. */
    public static final String ATTR_ZEITAUFWAENDIG = "Zeitaufwendig";

    /**
     * Das XML-Element das die nicht moeglichen Professionen einer Kultur
     * enthaelt.
     */
    public static final String TAG_ALLE_AUSSER = "AlleAusser";

    /** Das XML-Element das die moeglichen Professionen einer Kultur enthaelt. */
    public static final String TAG_ALLE_VON = "AlleVon";

    /** Das XML-Element fuer {@link TalentbonusFestAlteSprache}. */
    public static final String TAG_ALTE_SPRACHE =
        "AlteSpracheBosparanoUrTulamidya";

    /**
     * Das XML-Element das die Formel fuer das Alter eines Helden enthaelt.
     */
    public static final String TAG_ALTER = "Alter";

    /**
     * Das XML-Element das die Eintraege fuer die Wuerfeltabelle fuer die
     * Augenfarben enthaelt.
     */
    public static final String TAG_AUGENFARBEN = "Augenfarben";

    /** Das Tag das eine Basiswert-Modifikation repraesentiert. */
    public static final String TAG_BASISWERT_MOD = "BasiswertModifikation";

    /**
     * Das Element das einen moeglichen Besonderen Besitzt fuer einen Helden
     * enthaelt.
     */
    public static final String TAG_BESITZ = "Besitz";

    /**
     * Das XML-Element, dass die Moeglichkeiten fuer den Vorteil Besonderer
     * Besitzt enthaelt.
     */
    public static final String TAG_BESONDERER_BESITZ = "BesondererBesitz";

    /** Das XML-Element das einen Stufen-Bonus, wie +3 oder -3, enthaelt. */
    public static final String TAG_BONUS = "Bonus";

    /**
     * Das Tag das die Id einer Eigenschaft enthaelt.
     */
    public static final String TAG_EIGENSCHAFT = "Eigenschaft";

    /**
     * Das Tag das eine Eigenschafts-Modifikation repraesentiert.
     */
    public static final String TAG_EIGENSCHAFT_MOD = "EigenschaftModifikation";

    /** Ein Eintrag fuer eine Wuerfeltabelle. */
    public static final String TAG_EINTRAG = "Eintrag";

    /**
     * Das XML-Element das die Liste der empfohlenen Vor-/Nachteile
     * enthaelt.
     */
    public static final String TAG_EMPFOHLENE_VOR_NACH =
        "EmpfohleneVorNachteile";

    /**
     * Das XML-Element das einen TalentBonusFest repraesentiert oder
     * die festen Kosten eines Heldenbausteins enthaelt.
     */
    public static final String TAG_FEST = "Fest";

    /** Das XML-Element das einen TalentBonusFrei repraesentiert. */
    public static final String TAG_FREI = "Frei";

    /** Das XML-Element fuer {@link TalentListe#FREMDSPRACHEN}. */
    public static final String TAG_FREMDSPRACHEN = "Fremdsprachen";

    public static final String TAG_GELAENDEKUNDE = "Gelaendekunde";

    /** Das Element das als Voraussetzung ein Geschlecht vorgibt. */
    public static final String TAG_GESCHLECHT = "Geschlecht";

    /**
     * Das XML-Element das die Eintraege fuer die Wuerfeltabelle fuer die
     * Haarfarben enthaelt.
     */
    public static final String TAG_HAARFARBEN = "Haarfarben";

    /**
     * Das XML-Element das die Id eines Bausteins speichert.
     */
    public static final String TAG_ID = "Id";

    /**
     * Das XML-Element das die Formel fuer die Koerpergroesse repraesentiert.
     */
    public static final String TAG_KOERPERGROESSE = "Koerpergroesse";

    /** Das XML-Element, das die Kosten des Heldenbausteins enthaelt. */
    public static final String TAG_KOSTEN = "Kosten";

    /**
     * Das XML-Element, das die Kosten des Heldenbausteins enthaelt, wenn eine
     * bestimmte Rasse andere Kosten fuer den Baustein zahlen muss.
     */
    public static final String TAG_KOSTEN_RASSE = "KostenRasse";

    /**
     * Das Wurzelelement fuer eine Datei die eine Kultur enthaelt oder ein
     * Element, das die Id einer moeglichen Kultur, fuer eine Rasse enthaelt.
     */
    public static final String TAG_KULTUR = "Kultur";

    /**
     * Das XML-Element das eine Liste der moeglichen Kulturen der Rasse
     * enthaelt.
     */
    public static final String TAG_KULTUREN = "Kulturen";

    /** Das XML-Element das die Leitsonderfertigkeiten enthaelt. */
    public static final String TAG_LEITSF = "Leitsonderfertigkeiten";

    /** Das XML-Element, das die Liste der Leittalente enthaelt. */
    public static final String TAG_LEITTALENTE = "Leittalente";

    /**
     * Das XML-Element welches die Anzahl der zusaetzlichen Leitzauber enthaelt,
     * die ein elfischer Held waehlen darf.
     */
    public static final String TAG_LEITZAUBER = "Leitzauber";

    /**
     * Das XML-Element, das den Namen der Profession fuer maennliche Charaktere
     * enthaelt.
     */
    public static final String TAG_MAENNLICH = "maennlich";

    /**
     * Das Element als Voraussetzung die Mindeststufe in einer Eigenschaft
     * vorgibt.
     */
    public static final String TAG_MINDESTSTUFE = "Mindeststufe";

    /** Das XML-Element, das die Modifikationen enthaelt. */
    public static final String TAG_MODIFIKATIONEN = "Modifikationen";

    /**
     * Das XML-Element fuer {@link TalentListe#MUTTERSPRACHE} oder das Element,
     * das die Id, der Muttersprache einer Kultur enthaelt.
     */
    public static final String TAG_MUTTERSPRACHE = "Muttersprache";

    /** Das Tag das die Liste der Nachteile enthaelt. */
    public static final String TAG_NACHTEIL_BONI = "NachteilBoni";

    /** Das Tag des XML-Dokuments fuer den Namen des Bausteins. */
    public static final String TAG_NAME = "Name";

    /** Das XML-Element fuer {@link TalentListe#NICHT_MUTTERSPRACHE}. */
    public static final String TAG_NICHT_MUTTERSPRACHE = "NichtMuttersprache";

    /**
     * Das Element der XML-Datei in dem die Kosten stehen, die bezahlt werden
     * muessen wenn man nicht der bestimmten Rasse angehoert.
     */
    public static final String TAG_NORMAL = "Normal";

    /**
     * Das Wurzelelement fuer eine Datei, die einen Profession enthaelt oder ein
     * Element, das die Id einer moeglichen Profession, fuer eine Kultur
     * enthaelt.
     */
    public static final String TAG_PROFESSION = "Profession";

    /** Enthaelt die moeglichen Professionen einer Kultur. */
    public static final String TAG_PROFESSIONEN = "Professionen";

    /**
     * Das XML-Element das bei den Kosten fuer einen Baustein die Rasse und den
     * Preis den die Rasse zahlen muss enthaelt.
     * Oder das Wurzelelement fuer die Datei die einen Rasse enthaelt.
     */
    public static final String TAG_RASSE = "Rasse";

    /** Das XML-Element fuer {@link TalentListe#SCHRIFTEN_MUTTERSPRACHE}. */
    public static final String TAG_SCHRIFTEN_MUTTERSPRACHE =
        "SchriftenMuttersprache";

    /**
     * Das Element das fuer die Voraussetzung steht bei der der SO eines
     * Helden zwischen 2 Stufen liegen muss.
     */
    public static final String TAG_SO = "So";

    /**
     * Ein XML-Element das die Id einer (verbilligten) Sonderfertigkeit enthaelt.
     */
    public static final String TAG_SONDERFERTIGKEIT = "Sonderfertigkeit";

    /**
     * Das Element des XML-Dokuments das die Boni auf die Sonderfertigkeit
     * enthaelt.
     */
    public static final String TAG_SONDERFERTIGKEIT_BONI =
        "SonderfertigkeitBoni";

    /** Enthaelt die moegliche Zweitsprache einer Kultur. */
    public static final String TAG_SPRACHE = "Sprache";

    /** Das XML-Element das fuer ein Talent steht. */
    public static final String TAG_TALENT = "Talent";

    /** Das XML-Element, das die Talent-Boni enthaelt. */
    public static final String TAG_TALENT_BONI = "TalentBoni";

    /**
     * Das XML-Element das die Talent-Liste fuer einen TalentBonusFest
     * enthaelt.
     */
    public static final String TAG_TALENTLISTE = "TalentListe";

    /**
     * Das XML-Element das die Liste der ungeeigneten Vor-/Nachteile
     * enthaelt.
     */
    public static final String TAG_UNGEEIGNETE_VOR_NACH =
        "UngeeigneteVorNachteile";

    /**
     * Das Element, das die verbilligte Variante einer Sonderfertigkeit
     * enthaelt.
     */
    public static final String TAG_VARIANTE = "Variante";

    /**
     * Das XML-Element das die Informationen ueber die verbilligten
     * Sonderfertigkeiten enthaelt.
     */
    public static final String TAG_VERB_SONDERFERTIGKEITEN =
        "VerbilligteSonderfertigkeiten";

    public static final String TAG_VERBILLIGTE_VARIANTEN =
        "VerbilligteVarianten";

    /**
     * Das Tag, das die Punkte enthaelt die auf Verbindungen verteilt werden
     * duerfen..
     */
    public static final String TAG_VERBINDUNGEN = "Verbindungen";

    /** Das Tag, das die Id eines Vor-/Nachteils enthaelt. */
    public static final String TAG_VOR_NACHTEIL = "VorNachteil";

    /** Das XML-Element, das die Voraussetzungen enthaelt. */
    public static final String TAG_VORAUSSETZUNGEN = "Voraussetzungen";

    /** Das Tag das die Liste der Vorteile enthaelt. */
    public static final String TAG_VORTEIL_BONI = "VorteilBoni";

    /**
     * Das XML-Element, das den Namen der Profession fuer weibliche Charaktere
     * enthaelt.
     */
    public static final String TAG_WEIBLICH = "weiblich";

    /**
     * Repraesentiert einen einzelnen Wert, z.B. einen Vorteil.
     */
    public static final String TAG_WERT = "Wert";

    /**
     * Enthaelt einen Liste von Werten.
     */
    public static final String TAG_WERTE = "Werte";

    /** Das XML-Element, das die einzelnen Boni enthaelt. */
    public static final String TAG_ZAUBER_BONI = "ZauberBoni";

    /** Das XML-Element, das einen Bonus repraesentiert. */
    public static final String TAG_ZAUBER_BONUS = "ZauberBonus";

    /**
     * Das XML-Element welches die moeglichen Zweitsprachen der Kultur
     * enthaelt.
     */
    public static final String TAG_ZWEITSPRACHEN = "Zweitsprachen";

    /**
     * Die Voraussetzung fuer Zwerginnen.
     */
    public static final String TAG_ZWERGIN = "Zwergin";

}
