package de.bernhardjung.dsaprogramm.gui.steigern;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Observable;
import java.util.Observer;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;

import com.jgoodies.forms.builder.DefaultFormBuilder;
import com.jgoodies.forms.factories.FormFactory;
import com.jgoodies.forms.layout.ColumnSpec;
import com.jgoodies.forms.layout.FormLayout;
import com.jgoodies.forms.layout.RowSpec;

import de.bernhardjung.dsaprogramm.basis.GeldBoerse;
import de.bernhardjung.dsaprogramm.basis.Held;
import de.bernhardjung.dsaprogramm.daten.Datenspeicher;
import de.bernhardjung.dsaprogramm.gui.ResetbaresPanel;

public class PanelKapital extends ResetbaresPanel implements Observer,
        ActionListener {

    private Held held;

    private static final String D = "PanelKapital.D";
    private static final String S = "PanelKapital.S";
    private static final String H = "PanelKapital.H";
    private static final String K = "PanelKapital.K";

    private JTextField textField;
    private JLabel label;
    private JButton btnInitialisieren;
    private JButton btnAdd;
    private JButton btnSub;

    public PanelKapital() {

        final Datenspeicher speicher = Datenspeicher.getInstanz();

        speicher.addObserver( this );

        btnInitialisieren = new JButton( "Initialisieren" );
        btnInitialisieren.addActionListener( this );
        btnInitialisieren.setActionCommand( "ini" );


        btnAdd = new JButton( "Betrag hinzufuegen" );
        btnAdd.addActionListener( this );
        btnAdd.setActionCommand( "add" );


        btnSub = new JButton( "Betrag entfernen" );
        btnSub.addActionListener( this );
        btnSub.setActionCommand( "sub" );

        if ( GeldBoerse.initiiert == false ) {

            btnAdd.setVisible( false );
            btnSub.setVisible( false );

        } else {

            btnInitialisieren.setVisible( false );

        }

        textField = new JTextField();
        textField.setToolTipText( "Format: *D *S *H *K" );

        label = new JLabel( "" );
        aufbauenBenutzeroberflaeche();

    }

    public final void setHeld( final Held derHeld ) {

        held = derHeld;

        label.setText( held.getGeldBoerse().toString() );
    }

    private void aufbauenBenutzeroberflaeche() {

        add( textField, "12, 10, fill, default" );
        textField.setColumns( 30 );

        add( btnInitialisieren );
        add( btnAdd );
        add( btnSub );
        add( label );
    }

    public void update( final Observable o, final Object arg ) {

    }

    @Override
    public void actionPerformed( ActionEvent arg0 ) {

        if ( arg0.getActionCommand().equals( "ini" ) ) {
            try {
                held.setGeldBoerse( new GeldBoerse( textField.getText() ) );
                label.setText( held.getGeldBoerse().toString() );
                btnInitialisieren.setVisible( false );
                btnAdd.setVisible( true );
                btnSub.setVisible( true );
            } catch ( Exception e ) {
                label.setText( e.getMessage() );
            }
        }

        if ( arg0.getActionCommand().equals( "add" ) ) {
            try {
                held.getGeldBoerse().betragHinzufuegen( textField.getText() );
                textField.setText( "" );
                label.setText( held.getGeldBoerse().toString() );
            } catch ( Exception e ) {
                label.setText( e.getMessage() );
            }
        }

        if ( arg0.getActionCommand().equals( "sub" ) ) {
            try {
                //held.getGeldBoerse().betragEntfernen( textField.getText() );
                label.setText( held.getGeldBoerse().toString() );
                textField.setText( "" );
            } catch ( Exception e ) {
                label.setText( e.getMessage() );
            }
        }

    }
}
